<?php

foreach ($_POST as $secvalue) {
   if ((eregi ("<[^>]*script *\"?[^>]*>", $secvalue)) ||
   (eregi ("<[^>]*style*\"?[^>]*>", $secvalue))) {
      die("BAD YOUR CODE");
      exit;
   }
}
session_start();
$info="&nbsp;";
if(isset($_POST['sub']))
  {
    $_POST['name']=trim($_POST['name']);
    $_POST['pass']=trim($_POST['pass']);
    if($_POST['name']!="" && $_POST['pass']!="")
       {
         $cont=file("../admin/conf/config.inc");
         if(md5($_POST['name'])==trim($cont[0]) && md5($_POST['pass'])==trim($cont[1]))
            {
              @chmod("../admin/conf/config.inc", 0777);
              $f=fopen("../admin/conf/config.inc","w");
                 if (!$f) {
                       echo "Невозможно открыть файл кофигурации";
                       exit;
                 }
              @$writefile = fwrite($f,$cont[0].$cont[1].session_id());
                 if (!$writefile) {
                       echo "Невозможно записать файл кофигурации";
                       exit;
                 }
              @chmod("../admin/conf/config.inc", 0604);
              fclose($f);
              Header('Location: ../admin/index.php');
              exit();
            }
         $info="<font color=red>Не правильно!</font>";
       } else { 
         $info="<font color=red>Вы не ввели данные</font>";
       }
  }

if(isset($_POST['logout']))
  {
    $_POST['name']=trim($_POST['name']);
    $_POST['pass']=trim($_POST['pass']);
    if($_POST['name']!="" && $_POST['pass']!="")
       {
         $cons = "bcdfghjklmnpqrstvwxyz";
         $bons = "BCDFGHJKLMNPGRSTVWXYZ";
         $vocs = "aeiou";
         $noms = "123456789";
         for($x=0; $x < 33; $x++){
         mt_srand ((double) microtime() * 1000000);
         $con[$x] = substr($cons, mt_rand(0, strlen($cons)-1), 1);
         $bon[$x] = substr($bons, mt_rand(0, strlen($bons)-1), 1);
         $voc[$x] = substr($vocs, mt_rand(0, strlen($vocs)-1), 1);
         $nom[$x] = substr($noms, mt_rand(0, strlen($noms)-1), 1);
         }
         $makerand= $con[0] . $voc[3] . $con[1] . $nom[2] . $nom[5] .$bon[2] . $con[4];
         @chmod("../admin/conf/config.inc", 0777);
         $cont=file("../admin/conf/config.inc");
              $f=fopen("../admin/conf/config.inc","w");
                 if (!$f) {
                       echo "Невозможно открыть файл кофигурации";
                       exit;
                 }
              @$writefile = fwrite($f,$cont[0].$cont[1].$makerand);
                 if (!$writefile) {
                       echo "Невозможно записать файл кофигурации";
                       exit;
                 }
              @chmod("../admin/conf/config.inc", 0604);
              fclose($f);
         session_unset ();
         session_destroy ();
         $info="<font color=red>Вы вышли!</font>";
       }
  }

?>
<html>
<meta http-equiv="content-type" content="text/html;charset=windows-1251" />
<head>
  <title>Авторизация</title>
  <style>
  #enter
        {
          border-style:solid;
          border-width: 1px;
          border-color:#D2D2D2;
          background-color:#F0F0F0;
          padding:20px;
          font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
          font-size:10pt;
          color:#676767;
          width:200px;
          height:200px;
       }
    #button{
      font-family: Verdana, Helvetica, sans-serif;
	  font-size: 12px;
	  background-color: #C0C0C0;
	  color: #ffffff;
	  border: 3px;
	  padding: 2px;
	  font-weight:700;
           }
  </style>
</head>

<body>
 <table height=100% width=100%>
 <tr><td align=center valign=center>
 <table ><tr><td id=enter><IMG style="PADDING-BOTTOM: 0.6em; PADDING-LEFT: 0em; PADDING-RIGHT: 0.6em; PADDING-TOP: 0.6em" alt="" align=left src="../media/admin_b.png"><h3>Авторизация</h3>
 <?echo $info."<br><br>";?>
 <form action="login.php" method="post">
   Логин:&nbsp;&nbsp; <input name="name" type="text" ><br>
   Пароль: <input name="pass" type="password" ><br><br>
   <input type="submit" value="Войти" name=sub id=button>
</form>
 </td></tr></table>
 </td></tr></table>


</body>

</html>
